Skip to main content
POST
/
api
/
v1
/
bandwidth
/
rentals
/
{rental_id}
/
cancel
Cancel Auto-renew Rental
curl --request POST \
  --url https://api.example.com/api/v1/bandwidth/rentals/{rental_id}/cancel
{
  "id": 123,
  "status": "<string>",
  "undelegate_txid": "<string>"
}

Cancel Auto-renew Rental

Stops billing and undelegates the bandwidth immediately.

Path parameters

rental_id
number
required
Rental id — the id returned by Start Auto-renew Rental

Response

id
number
Unique rental identifier
status
string
Rental status — cancelled on success
undelegate_txid
string
On-chain undelegation transaction id

Example

curl -X POST https://api.tronrental.com/v1/bandwidth/rentals/4321/cancel \
  -H "X-API-Key: your_api_key"
Response
{
  "id": 4321,
  "status": "cancelled",
  "undelegate_txid": "def456..."
}